=== debian/changelog ===
message-switch (0.10.3-1) UNRELEASED; urgency=low

  * Update to 0.10.3

 -- David Scott <dave.scott@citrix.com>  Thu, 19 Jun 2014 12:00:00 +0000

message-switch (0.10.2-1) UNRELEASED; urgency=low

  * Update to 0.10.2

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

message-switch (0.10.1-1) UNRELEASED; urgency=low

  * Update to 0.10.1 which is more tolerant of startup orderings

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 18 Oct 2013 12:00:00 +0000
