=== debian/control ===
Source: message-switch
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libcohttp-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 liboclock-ocaml-dev,
 librpc-ocaml-dev,
 camlp4-extra,
 ocaml-native-compilers,
 ocaml-findlib,
 libcmdliner-ocaml-dev,
 libre-ocaml-dev

Package: message-switch
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: A store and forward message switch
 A store and forward message switch for OCaml.

Package: message-switch-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 message-switch (>= 0.10.3-1),
 libcohttp-ocaml-dev,
 liboclock-ocaml-dev,
 libre-ocaml-dev,
 librpc-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for message-switch
 The message-switch-devel package contains libraries and signature
 files for developing applications that use message-switch.
