=== debian/changelog ===
message-switch (0.10.4-1) UNRELEASED; urgency=low

  * Update to 0.10.4, enable core/async

 -- David Scott <dave.scott@citrix.com>  Tue, 14 Oct 2014 12:00:00 +0000
