=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  camlp4,
  python,
  debhelper (>= 8),
- liboclock-ocaml-dev,
  librpc-ocaml-dev,
  camlp4-extra,
  ocaml-native-compilers,
+ ocaml-async-dev,
  ocaml-findlib,
  libcmdliner-ocaml-dev,
  libre-ocaml-dev
@@ -36,9 +36,8 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- message-switch (>= 0.10.3-1),
+ message-switch (>= 0.10.4-1),
  libcohttp-ocaml-dev,
- liboclock-ocaml-dev,
  libre-ocaml-dev,
  librpc-ocaml-dev
 Provides: ${ocaml:Provides}
